
Redmine - Feature #26642

Support of ActiveRecord i18n scope in query filters

2017-08-07 09:52 - Dmitry Lisichkin

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Same as in #26618.

Patch attached.

Related issues:

Related to Redmine - Feature #26618: Support of default ActiveRecord I18n sco... Closed

History

#1 - 2017-08-07 09:59 - Dmitry Lisichkin

- File query_humanize.patch added

#2 - 2017-08-29 16:22 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

- Target version set to 4.1.0

#3 - 2017-08-29 16:23 - Toshi MARUYAMA

- Related to Feature #26618: Support of default ActiveRecord I18n scopes in LabelledFormBuilder added

#4 - 2019-05-29 09:40 - Seiei Miyagi

I searched on GitHub, there are some plugins that uses `QueryFilter.new`, changing parameter of the initialize method may breaking these plugins.

https://github.com/search?l=Ruby&q=redmine+QueryFilter.new&type=Code

#5 - 2019-05-30 02:45 - Go MAEDA

- Target version changed from 4.1.0 to Candidate for next major release

Seiei Miyagi wrote:

I searched on GitHub, there are some plugins that uses `QueryFilter.new`, changing parameter of the initialize method may breaking these

plugins.

https://github.com/search?l=Ruby&q=redmine+QueryFilter.new&type=Code

 Thank you for reviewing the patch. I don't think it is worthwhile to be merged if it breaks some plugins.

Removing from 4.1.0 for now.

#6 - 2021-05-13 12:41 - Dmitry Lisichkin

- File query_humanize_attribute.patch added

Ok. How about this patch?

Query is a last part of redmine that use "field_*", after this patch there will be available safely way to migrate all this translations to standard I18n

structure.

Files

query_humanize.patch 1.18 KB 2017-08-07 Dmitry Lisichkin

query_humanize_attribute.patch 937 Bytes 2021-05-13 Dmitry Lisichkin
